:host {
    align-items: flex-start;
    display: flex;

    &.centered {
        align-items: center;
    }

    &.nav-abs {
        .screen-content-container {
            .navigation-button-container {
                position: absolute;
                bottom: 0;
            }
        }
    }

    .screen-content-container {
        position: relative;
        width: 100%;

        &.clickable {
            cursor: pointer;
        }

        &.full-filled {
            .container {
                height: 100%;
            
                // @media (max-width: 768px) {
                //     height: initial;
                // }
            }
        }
        

        .navigation-button-container {
            display: flex;
            justify-content: space-between;
            position: absolute;
            top: 50%;
            left: 0;
            width: 100%;
            transform: translateY(-50%);

            button.navigation-button {
                background: none;
                border: none;
                cursor: pointer;
                z-index: 1;

                &.disabled {
                    cursor: default;
                    opacity: 0.5;
                    pointer-events: none;
                }
            }
        }
    }
}